
Katello - Feature #5014

Allow users to select puppet environments outside of a content view/environment

04/01/2014 08:07 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1108314 Red Hat JIRA:  

Pull request:    

Description

When creating a host & host group Katello/foreman currently does not allow selecting a puppet environment that was not created as

part of a content view & environment.  We should allow that in case a user doesn't want to use content views for that

Related issues:

Related to Katello - Bug #6329: toggle label content view/puppet environment,... Closed 06/22/2014

History

#1 - 04/25/2014 12:02 PM - Justin Sherrill

- translation missing: en.field_release set to 13

This may already work, need to investigate

#2 - 06/05/2014 03:43 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 06/05/2014 03:44 AM - Eric Helms

- Target version set to 45

#4 - 06/11/2014 05:11 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1108314

#5 - 06/16/2014 12:02 PM - Eric Helms

- Target version changed from 45 to 48

#6 - 06/23/2014 07:27 PM - Mike McCune

- Assignee set to Stephen Benjamin

#7 - 06/25/2014 12:58 PM - Stephen Benjamin

- Related to Bug #6329: toggle label content view/puppet environment, toggle show/hide installation media on new host form added

#8 - 06/25/2014 12:59 PM - Stephen Benjamin

- Status changed from New to Closed

It works.

It's kind of weird that it's named "content view" in the UI -- but #6329 will fix the naming issue.
